---
title: List property formats
slug: cms-13/api/list-property-formats
docTags: 
createdAt: 2026-08-28T15:24:16.532Z
---

{
  "id": "e-EvvuMc1Afi55UZI5t7T",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/_cms/v1/propertyformats",
    "servers": [
      {
        "url": "/_cms/v1/propertyformats",
        "description": "Optimizely CMS API"
      }
    ],
    "name": "List property formats",
    "description": "List all property formats using the provided options.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "pageIndex",
          "type": "integer<int32>",
          "description": "Zero based index of the page that should be retrieved.",
          "format": "int32",
          "minimum": 0,
          "maximum": 10000
        },
        {
          "kind": "optional",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "The maximum items per page that should be retrieved.",
          "format": "int32",
          "minimum": 1,
          "maximum": 10000
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiAuth",
          "name": "apiAuth",
          "kind": "optional",
          "type": "oauth2",
          "description": "Use this scheme to generate an access token that can be used to access the API.",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "/_cms/v1/oauth/token",
              "scopes": {
                "api:admin": "Grants full administrative access to the API"
              }
            }
          },
          "requiredScopes": [
            "api:admin"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Represents a single page of items in a paged collection, including paging metadata such as the current page index, page size, and an estimated total item count.</p>",
            "customType": "PropertyFormatPage",
            "schema": [
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "readOnly": true,
                "description": "The items in this paged collection.",
                "modelRef": "#/components/schemas/PropertyFormat",
                "customType": "PropertyFormat[]",
                "schema": [
                  {
                    "name": "key",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>The unique identifier (key) of the resource.</p>",
                    "minLength": 2,
                    "maxLength": 255,
                    "pattern": "^[A-Za-z][_0-9A-Za-z]+$"
                  },
                  {
                    "name": "dataType",
                    "kind": "optional",
                    "type": "string<string | url | boolean | integer | float | dateTime | contentReference | content | link | richText | json | array | component>",
                    "description": "The underlying data type used for this PropertyFormat.",
                    "enum": [
                      "string",
                      "url",
                      "boolean",
                      "integer",
                      "float",
                      "dateTime",
                      "contentReference",
                      "content",
                      "link",
                      "richText",
                      "json",
                      "array",
                      "component"
                    ]
                  },
                  {
                    "name": "itemType",
                    "kind": "optional",
                    "type": "string<string | url | boolean | integer | float | dateTime | contentReference | content | link | richText | json | array | component>",
                    "readOnly": true,
                    "description": "The underlying item type used for this property format. Specifies the item type when the dataType is 'array'.",
                    "enum": [
                      "string",
                      "url",
                      "boolean",
                      "integer",
                      "float",
                      "dateTime",
                      "contentReference",
                      "content",
                      "link",
                      "richText",
                      "json",
                      "array",
                      "component"
                    ]
                  },
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "description": "The display name of this PropertyFormat."
                  },
                  {
                    "name": "isDeleted",
                    "kind": "optional",
                    "type": "boolean",
                    "readOnly": true,
                    "description": "Indicates if this property format has been deleted."
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "readOnly": true,
                    "description": "A timestamp indicating when this display template was first created.",
                    "format": "date-time"
                  },
                  {
                    "name": "createdBy",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "description": "The username of the user that created this display template."
                  },
                  {
                    "name": "lastModified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "readOnly": true,
                    "description": "A timestamp indicating when this display template was last modified.",
                    "format": "date-time"
                  },
                  {
                    "name": "lastModifiedBy",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "description": "The username of the user that last modified this display template."
                  }
                ]
              },
              {
                "name": "pageIndex",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "description": "<p>The zero-based index of the current page.</p>",
                "format": "int32"
              },
              {
                "name": "pageSize",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "description": "The number of items in each page. Not necessarily the same as the number of items in this page.",
                "format": "int32"
              },
              {
                "name": "totalCount",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "nullable": true,
                "description": "The estimated total number of items in the collection. May be omitted if the total count is unknown.",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/PropertyFormatPage",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "DG399AIDgXkgyu0lTl_P4",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /_cms/v1/propertyformats \\\n     --header 'accept: application/json'"
        },
        {
          "id": "X4TMTeWDdp-rNHcNZCfss",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/_cms/v1/propertyformats\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "TVanFuUsuBwcvLQQLSnC7",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/_cms/v1/propertyformats\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "4PTYM5_Z2k10W2Lfl3l4C",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/_cms/v1/propertyformats\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "DG399AIDgXkgyu0lTl_P4"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"items\": [\n    {\n      \"key\": \"\",\n      \"dataType\": \"\",\n      \"itemType\": \"\",\n      \"displayName\": \"\",\n      \"isDeleted\": false,\n      \"created\": \"\",\n      \"createdBy\": \"\",\n      \"lastModified\": \"\",\n      \"lastModifiedBy\": \"\"\n    }\n  ],\n  \"pageIndex\": \"\",\n  \"pageSize\": \"\",\n  \"totalCount\": \"\"\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-500",
          "language": "500",
          "code": "// Internal Server Error\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}